Summary:	Template library for linear algebra
Summary(pl.UTF-8):	Biblioteka szablonów do algebry liniowej
Name:		eigen
Version:	2.0.17
Release:	2
Epoch:		1
License:	LGPL v3+ or GPL v2+
Group:		Development/Libraries
Source0:	http://bitbucket.org/eigen/eigen/get/%{version}.tar.bz2
# Source0-md5:	2dfd1e2765d82c306adbfcd6a0eb324b
URL:		http://eigen.tuxfamily.org/
BuildRequires:	cmake >= 2.6.2
BuildRequires:	rpmbuild(macros) >= 1.577
Requires:	libstdc++-devel
Obsoletes:	eigen-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eigen is a C++ template library for linear algebra: vectors, matrices,
and related algorithms. It is versatile, fast, elegant and
compiler-friendly.

Eigen handles, without code duplication and in a completely integrated
way:
 - both fixed-size and dynamic-size matrices and vectors
 - both dense and sparse (the latter is still experimental) matrices
   and vectors
 - both plain matrices/vectors and abstract expressions
 - both column-major (the default) and row-major matrix storage
 - both basic matrix/vector manipulation and many more advanced,
   specialized modules providing algorithms for linear algebra,
   geometry, quaternions, or advanced array manipulation.

%description -l pl.UTF-8
Eigen to biblioteka szablonów C++ do algebry liniowej: wektorów,
macierzy i związanych z nimi algorytmów. Jest elastyczna, szybka,
elegancka i przyjazna dla kompilatorów.

Obsługuje bez powielania kodu i w całkowicie zintegrowany sposób:
 - macierze i wektory o stałym i dynamicznym rozmiarze
 - macierze i wektory gęste i rzadkie (te drugie jeszcze
   eksperymentalnie)
 - zwykłe macierze/wektory jak i abstrakcyjne wyrażenia
 - przechowywanie danych kolumnowe (domyślne) oraz wierszowe
 - podstawowe operacje na macierzach/wektorach, jak i wiele
   bardziej zaawansowanych, specjalizowanych modułów z algorytmami
   algebry liniowej, geometrii, kwaternionów i zaawansowanych operacji
   na tablicach.

%prep
%setup -q -n eigen-eigen-b23437e61a07

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_CXX_COMPILER_WORKS=1 \
	-DCMAKE_CXX_COMPILER="%{__cc}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_includedir}/eigen2
%{_npkgconfigdir}/eigen2.pc
%changelog
* Sun Apr 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eigen.git;a=log;h=master

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 1f020b2
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jan 31 2012 Jakub Bogusz <qboosh@pld-linux.org> a6dc09e
- R: libstdc++-devel

* Tue Jan 31 2012 Jakub Bogusz <qboosh@pld-linux.org> f50ff80
- updated to 2.0.17

* Sun Jan 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 79db910
- Group: Development/Libraries

* Sun Jan 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 5bb2d2c
- updated to 2.0.15
- shortened description (only most important information here), added pl translation
- use newer cmake macro
- updated License (GPL v2+ or LGPL v3+)

* Sat Feb 20 2010 shadzik <shadzik@pld-linux.org> b57783e
- kill -devel subpackage, it's useless anyway
- rel 3

* Fri Feb 19 2010 shadzik <shadzik@pld-linux.org> ddcb786
- ekhem, fix -devel
- rel 2

* Fri Feb 19 2010 shadzik <shadzik@pld-linux.org> caf6365
- epoch 1 to make sure 2.0.12 > 2.0.52 (which was development and is on builders)

* Thu Feb 18 2010 shadzik <shadzik@pld-linux.org> 38d2d12
- reverted back to version 2.0.12
- on DEVEL there is 3.0dev

* Thu Feb 18 2010 shadzik <shadzik@pld-linux.org> a225ffb
- 2.91

* Wed Dec 02 2009 sparky <sparky@pld-linux.org> 7b00b20
- trick cmake not to require unneeded c++ compiler

* Wed Jul 29 2009 shadzik <shadzik@pld-linux.org> 6a546e4
- merged from DEVEL

* Thu Jun 11 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 8dd136a
- updated to stable 2.0.2
- better description (from project site)

* Wed Jan 28 2009 shadzik <shadzik@pld-linux.org> 26dcf76
- 2.0 rc1

* Mon Jan 05 2009 Elan Ruusamäe <glen@pld-linux.org> c9ed0cf
- release 1

* Sun Nov 02 2008 shadzik <shadzik@pld-linux.org> d1c8d81
- use install instead of mkdir

* Sun Nov 02 2008 Robert Tomasik <rotom@pld-linux.org> 64db813
- initial

